Imágen del post16

Curso Laravel - Parte 16 - Sistema de menús IV

  • tutorialesvirtuales
  • 2019 09-23

En este video usaremos y configuraremos el Jquery Validation Plugin, esto para validar los formularios desde el lado del cliente, esto servirá para todo el proyecto ya que se creará una función a la cual la pasemos el fourmulario a validar y allí tendremos la validación.

Comentarios (6)
  • imagen_usuario
    Juan Miguel Murillo 2019 10-01
    Tengo un problema al ejecutar el script "jquery validation", al darle guardar no realiza ninguna acción, tampoco arroja error, quien me puede ayudar gracias. El archivo funciones.js lo copie y pegue exactamente como esta en el git del curso.
    • Debes estar registrado en el sitio para dejar comentarios o preguntas.
    • imagen_usuario
      roosvelt 2019 10-01
      Juan Miguel, lo estas usando para el mismo proyecto de Biblioteca o para otro proyecto, porque en el proyecto de biblioteca funciona bien, no se si lo estas implementado en otro proyecto debes de revisar que tengas todo bien configurado
  • imagen_usuario
    Juan Miguel Murillo 2019 10-02
    Si lo estoy usando en el proyecto de biblioteca.
    • Debes estar registrado en el sitio para dejar comentarios o preguntas.
    • imagen_usuario
      roosvelt 2019 10-04
      Entonces revisa bien el codigo, porque algo no estás configurando bien, le recomiendo descargues nuevamente el codigo del programa y ten cuidado de que archivos fuentes de template estes usando
  • imagen_usuario
    ismael 2019 10-13
    Hola tengo un inconveniente... Estoy siguiendo los tutoriales pero decidí utilizar el adminLTE3 que utiliza boostrap4 entonces debo hacer modificaciones al archivo "funciones.js" de este tutorial. Leyendo en stackoverflow pude modificar algunas cosas y quedó así: errorClass: "invalid-feedback" highlight: $(element).closest('.form-control').addClass('is-invalid'); unhighlight: $(element).closest('.form-control').removeClass('is-invalid'); success: label.closest('.form-control').removeClass('is-invalid'); Pero respecto "errorPlacement" no encontré nada.... por lo tanto está tal cual en el video. if ($(element).is('select') && element.hasClass('bs-select')) { error.insertAfter(element); } else if ($(element).is('select') && element.hasClass('select2-hidden-accessible')) { element.next().after(error); } else if (element.attr("data-error-container")) { error.appendTo(element.attr("data-error_container")); } else { error.insertAfter(element); } En resumen no funciona y creo que el problema se encuentra dentro de "errorPlacement" que es donde no modifique nada porque no entiendo que esta sucediendo allí dentro. Por favor ayúdenme ya puse me gusta en todos los video, estoy subscripto y recomendé sus tutoriales a mis compañeros de curso.
    • Debes estar registrado en el sitio para dejar comentarios o preguntas.
    • imagen_usuario
      ismael 2019 10-13
      (((((El mismo mensaje pero mas limpio)))))Hola tengo un inconveniente... Estoy siguiendo los tutoriales pero decidí utilizar el adminLTE3 que utiliza boostrap4 entonces debo hacer modificaciones al archivo "funciones.js" de este tutorial. Leyendo en stackoverflow pude modificar algunas cosas. Pero respecto "errorPlacement" no encontré nada.... por lo tanto está tal cual en el video. En resumen no funciona y creo que el problema se encuentra dentro de "errorPlacement" que es donde no modifique nada porque no entiendo que esta sucediendo allí dentro. Por favor ayúdenme ya puse me gusta en todos los video, estoy subscripto y recomendé sus tutoriales a mis compañeros de curso.
    • imagen_usuario
      roosvelt 2019 10-15
      Lo siento amigo, pero no tengo tiempo para instalar esae template y ver el problema que se tiene con BS4, y como no es un curso destinado a eso, no puedo ayudarte de momento
  • imagen_usuario
    FRANCISCO ANTONIO 2019 11-06
    a mi me pasa de igual manera, instale la version (AdminLTE v3.0.0-alpha) que tiene una version de Bootstrap (Bootstrap v4.1.0), y tampoco me hace las validaciones, ya revise cada uno de los archivos y sus rutas, por ejemplo el icono me lo carga hasta que le doy clic al boton CREAR MENU... en conclusion me imagino que tiene que ver la plantilla que se este utilizando.
    • Debes estar registrado en el sitio para dejar comentarios o preguntas.
    • imagen_usuario
      roosvelt 2019 11-11
      On he trabajado con esa verisón, posiblemente lo haga más adelante y veremos los cambios necesarios para que funcione con esa versión..
  • imagen_usuario
    cristian perez 2020 01-28
    Hola, Alguno pudo resolver el problema de las validaciones, ya que al igual que los de arriba, estoy trabajando con admin lte, pero la versión con bootstrap 4 y no consigo hacer que me funciones, les agradezco si me pueden ayudar
    • Debes estar registrado en el sitio para dejar comentarios o preguntas.
    • imagen_usuario
      roosvelt 2020 03-01
      En videos proximos vamos a hacer actualizacion al AdminLTE Version 3 que es el que usa BS 4
  • imagen_usuario
    Saul Fernando Vega Montenegro 2020 05-07
    Hola Roosvelt he seguido los pasos descritos en el vídeo, pero no me cargan las validaciones, vi en la consola de chrome que existe un error de TypeError y no reconoce la función Biblioteca, todo el código lo he colocado como un script en el layout y me funciona, pero cuando lo separo en archivo crear,js, funciones.js y reverenciarlo desde el layout no funciona, ya he probado con el orden de llamada de las referencia y nada, porfavor que puede estar sucediendo con el script
    • Debes estar registrado en el sitio para dejar comentarios o preguntas.
Deje aquí su comentario o pregunta
Debes estar registrado en el sitio para dejar comentarios o preguntas.